device_type: imx6qsabresd
job_name: tests for imx6qsabresd target
priority: high
tags:
- imx6qsabresd-05
timeouts:
  action:
    hours: 1
  connection:
    hours: 1
  job:
    hours: 1
visibility: public
actions:
- deploy:
    to: uuu
    images:
      boot:
        url: http://<url>/u-boot.imx
      system:
        url: http://<url>/development-image-imx6qsabresd-mel-20201006093648.rootfs.wic
        apply-overlay: false
        root_partition: 1
    namespace: ns_s1
    os: oe
    timeout:
      minutes: 50
- boot:
    method: uuu
    commands:
    - uuu: -b sd_all {boot} {system}
    namespace: ns_s1
- boot:
    method: minimal
    auto_login:
      login_prompt: '(.*) login:'
      username: root
    namespace: ns_s1
    transfer_overlay:
      download_command: wget
      unpack_command: tar -C / -xvf
    prompts:
    - 'root@(.*):~#'
    timeout:
      minutes: 50
- test:
    namespace: ns_s1
    timeout:
      minutes: 50
    definitions:
    - from: inline
      name: Sanity-Test
      path: inline/TEST.yaml
      repository:
        metadata:
          description: basic test for some devices on board
          format: Lava-Test Test Definition 1.0
          name: testjob
          os:
          - oe
          scope:
          - functional
        run:
          steps:
          - uname -a
context:
  arch: arm
  extra_kernel_args: fsck.mode=skip
